TokenPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: TokenPBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class TokenPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.Token
org.apache.hadoop.yarn.api.records.impl.pb.TokenPBImpl

@Private @Unstable public class TokenPBImpl extends org.apache.hadoop.yarn.api.records.Token

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TokenPBImpl()`
  `TokenPBImpl(org.apache.hadoop.security.proto.SecurityProtos.TokenProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final ByteBuffer`
  `convertFromProtoFormat(org.apache.hadoop.thirdparty.protobuf.ByteString byteString)`
  `protected final org.apache.hadoop.thirdparty.protobuf.ByteString`
  `convertToProtoFormat(ByteBuffer byteBuffer)`
  `boolean`
  `equals(Object other)`
  `ByteBuffer`
  `getIdentifier()`
  `String`
  `getKind()`
  `ByteBuffer`
  `getPassword()`
  `org.apache.hadoop.security.proto.SecurityProtos.TokenProto`
  `getProto()`
  `String`
  `getService()`
  `int`
  `hashCode()`
  `void`
  `setIdentifier(ByteBuffer identifier)`
  `void`
  `setKind(String kind)`
  `void`
  `setPassword(ByteBuffer password)`
  `void`
  `setService(String service)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.Token

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TokenPBImpl

    public TokenPBImpl()

  - ### TokenPBImpl

    public TokenPBImpl(org.apache.hadoop.security.proto.SecurityProtos.TokenProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.security.proto.SecurityProtos.TokenProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### convertFromProtoFormat

    protected final ByteBuffer convertFromProtoFormat(org.apache.hadoop.thirdparty.protobuf.ByteString byteString)

  - ### convertToProtoFormat

    protected final org.apache.hadoop.thirdparty.protobuf.ByteString convertToProtoFormat(ByteBuffer byteBuffer)

  - ### getIdentifier

    public ByteBuffer getIdentifier()
    Specified by:
      `getIdentifier` in class `org.apache.hadoop.yarn.api.records.Token`

  - ### setIdentifier

    public void setIdentifier(ByteBuffer identifier)
    Specified by:
      `setIdentifier` in class `org.apache.hadoop.yarn.api.records.Token`

  - ### getPassword

    public ByteBuffer getPassword()
    Specified by:
      `getPassword` in class `org.apache.hadoop.yarn.api.records.Token`

  - ### setPassword

    public void setPassword(ByteBuffer password)
    Specified by:
      `setPassword` in class `org.apache.hadoop.yarn.api.records.Token`

  - ### getKind

    public String getKind()
    Specified by:
      `getKind` in class `org.apache.hadoop.yarn.api.records.Token`

  - ### setKind

    public void setKind(String kind)
    Specified by:
      `setKind` in class `org.apache.hadoop.yarn.api.records.Token`

  - ### getService

    public String getService()
    Specified by:
      `getService` in class `org.apache.hadoop.yarn.api.records.Token`

  - ### setService

    public void setService(String service)
    Specified by:
      `setService` in class `org.apache.hadoop.yarn.api.records.Token`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`